#pragma once

struct flash_dev;

struct mufs_tree {
	uint32_t root;
	uint8_t depth;
};

struct mufs {
	struct flash_dev *dev;
	uint32_t nblocks;
	struct mufs_tree root;
};

int mufs_mount(struct mufs *fs, struct flash_dev *dev);
int mufs_format(struct flash_dev *dev);
